net.sf.jasperreports.engine.query

## Class JRClauseTokens

- java.lang.Object
- - net.sf.jasperreports.engine.query.JRClauseTokens

-     public class JRClauseTokens
      extends java.lang.Object

  Query clause chunk wrapper.
  Version:
    $Id: JRClauseTokens.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRQueryChunk.getTokens()`, `JRQueryChunk.TYPE_CLAUSE_TOKENS`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CLAUSE_ID_POSITION` The position of the clause Id token.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRClauseTokens(java.lang.String[] tokens)` Wraps an array of tokens.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClauseId()` Returns the clause Id, which is the first token in the clause.
    `java.lang.String` | `getToken(int position)` Returns a token at a specified position.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLAUSE_ID_POSITION

          public static final int CLAUSE_ID_POSITION

      The position of the clause Id token.
      See Also:
        `getClauseId()`, Constant Field Values

  - ### Constructor Detail

    - #### JRClauseTokens

          public JRClauseTokens(java.lang.String[] tokens)

      Wraps an array of tokens.
      Parameters:
        `tokens` - the tokens

  - ### Method Detail

    - #### getClauseId

          public java.lang.String getClauseId()

      Returns the clause Id, which is the first token in the clause.
      Returns:
        the clause Id

    - #### getToken

          public java.lang.String getToken(int position)

      Returns a token at a specified position.

      If the specified position is greater than the number of tokens or the token is empty, the method returns `null`.

      Parameters:
        `position` - the position
      Returns:
        the token at the specified position

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com